Subject: bug#16772: Failure in "make install" on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Feb 2014 17:31:34 +0200

> Date: Mon, 17 Feb 2014 16:06:52 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> > I've tried the patch:  I've gone to the build directory and done "make
> > install prefix='../myinstalldir' GZIP_INFO= GZIP_PROG=".  The process
> > has ended up this way:
> >
> > Installing utilities for users to run.
> > umask 022; /bin/mkdir -p "../myinstalldir/bin"
> > for file in runemacs.exe addpm.exe ; do \
> >   /bin/install -c  ${file} "../myinstalldir/bin"/`echo ${file} | sed
> > -e 's/.exe$//' -e 's,x,x,'`.exe ; \
> > done
> > /bin/install -c -m 644 /C/msys/home/dani/emacs/repo/nt/README.W32
> > "../myinstalldir/share/emacs/24.3.50"
> > /bin/install: cannot create regular file
> > `../myinstalldir/share/emacs/24.3.50': No such file or directory
> > Makefile:168: recipe for target `install' failed
> > make[1]: *** [install] Error 1
> > make[1]: Leaving directory `/usr/home/dani/emacs/build/nt'
> > Makefile:509: recipe for target `install-nt' failed
> > make: *** [install-nt] Error 2
> >
> > The problem, I think, is that $(DESTDIR) contains literally the prefix
> > I gave ("../myinstalldir"),
> 
> After some more tests, what seems to happen is that the "DESTDIR" make
> variable is empty during the evaluation of the "install" target in
> "nt/Makefile" ("${datadir}" is what produces "../myinstalldir/share").

Sorry, I don't understand: did you specify DESTDIR, or didn't you?  If
you did, please show the full "make install" command line you used.